## ros-dashing-pacmod3 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pacmod3)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(can_msgs REQUIRED)
find_package(pacmod_msgs REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(
  include/
)

add_library(
  ${PROJECT_NAME}_node SHARED
  src/pacmod3_ros_msg_handler.cpp
  src/pacmod3_core.cpp
  src/pacmod3_node.cpp
)
target_compile_definitions(
  ${PROJECT_NAME}_node
  PRIVATE "COMPOSITION_BUILDING_DLL"
)
ament_target_dependencies(
  ${PROJECT_NAME}_node
  "rclcpp"
  "rclcpp_components"
  "rclcpp_lifecycle"
  "can_msgs"
  "pacmod_msgs"
  "std_msgs"
)
rclcpp_components_register_nodes(
  ${PROJECT_NAME}_node
  "pacmod3::PACMod3Node"
)

add_executable(
  ${PROJECT_NAME}_driver
  src/pacmod3_driver.cpp
)
ament_target_dependencies(
  ${PROJECT_NAME}_driver
  "rclcpp"
  "lifecycle_msgs"
)
target_link_libraries(
  ${PROJECT_NAME}_driver
  ${PROJECT_NAME}_node
)

ament_export_include_directories(include)
ament_export_interfaces(export_${PROJECT_NAME}_node HAS_LIBRARY_TARGET)
ament_export_libraries(${PROJECT_NAME}_node)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(
  TARGETS ${PROJECT_NAME}_node
  EXPORT export_${PROJECT_NAME}_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  TARGETS ${PROJECT_NAME}_driver
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_package()

=== debian/changelog ===
ros-dashing-pacmod3 (1.3.1-1bionic) bionic; urgency=high

  * Added missing dependency to package.xml.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 31 Jan 2020 06:00:00 -0000

ros-dashing-pacmod3 (1.3.0-1bionic) bionic; urgency=high

  * Ported to ROS2 Dashing
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 27 Jan 2020 06:00:00 -0000

ros-dashing-pacmod3 (1.2.1-1bionic) bionic; urgency=high

  * Merge pull request #43 <https://github.com/astuff/pacmod3/issues/43> from astuff/maint/add_urls
  * Adding URLs to package.xml and upadating README.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-dashing-pacmod3 (1.2.0-1bionic) bionic; urgency=high

  * Merge pull request #41 <https://github.com/astuff/pacmod3/issues/41> from astuff/fix/vector_comp_dbc_file
    Removing unnecessary line preventing Vector CANdb++ editor from opening
  * Merge pull request #39 <https://github.com/astuff/pacmod3/issues/39> from astuff/feat/add_comp_rpt
    Feature add component report for each PACMod component.
  * DBC: Fixing errors. CI: Adding DBC validation to workflow.
  * DBC: Typo on two lines.
  * Adding encoding for CLEAR_FAULTS flag.
  * Adding parsing and publishing for COMPONENT_RPT.
  * DBC: Add COMPONENT_RPT and CLEAR_FAULTS flag.
  * Merge pull request #38 <https://github.com/astuff/pacmod3/issues/38> from astuff/feature/add_veh_6
    Adding VEHICLE_6.
  * Contributors: Daniel-Stanek, Joshua Whitley, Mike Lemm, Nate Imig

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 19 Nov 2018 06:00:00 -0000

ros-dashing-pacmod3 (1.1.1-1bionic) bionic; urgency=high

  * Merge pull request #34 <https://github.com/astuff/pacmod3/issues/34> from astuff/maint/add_none_shift_cmd
  * Removing unused COMMANDED_VALUE values on SHIFT_RPT.
  * Adding NONE shift value.
  * Merge pull request #33 <https://github.com/astuff/pacmod3/issues/33> from astuff/fix/percent-signs
  * Removed erroneous percent sign from signal units
    Before: Percentages were being reported as a decimal value between 0 and 1
    with a percentage sign.  E.g. 0.5 would be reported, but the intent
    was to convey 50%.  i.e. the report or command would read 0.5%
    when it should've read 50% or just simply 0.5.
    After: Values will be reported without the '%' sign.  They report as decimal
    values.
  * Forgot to bump DBC after last minor change.
  * Merge pull request #32 <https://github.com/astuff/pacmod3/issues/32> from astuff/fix/steering-rpt-units
  * Corrected Steering report units JIRA: LEXUS-131
    Before: steering_rpt reported commanded position in rad/s.
    After: steering_rpt reports commanded position in rad.
  * Contributors: Daniel-Stanek, Joshua Whitley, Sam Rustan, Zach Oakes, driscoll85

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-dashing-pacmod3 (1.1.0-1bionic) bionic; urgency=high

  * A boost::shared_ptr error would occur on some vehicles on shutdown.
    Moving the allocation of all of the optional subscribers to after
    ros::init is called fixes this error and should not impact functionality
    or performance.
  * Temporarily disabling Vehicle 5 steering wheel controls.
  * First attempt at adding an All System Statuses topic.
  * Changing CAN factors for Steer Aux rpt values.
  * Removed incorrect conversion factor for as_tx/vehicle_speed
  * Adding publishing for door, interior lights, rear lights, and occupancy rpt.
  * Removing wipers from VEHICLE_5.
    This system will not be availble in the initial vehicle release.
  * Changes for vehicle 4
  * Adding unknown vehicle mfg and year to VIN rpt.
  * Adds the ability to parse Dash Controls, CC Btns, and Media Btns.
  * Add config_fault_active to global report.
    This indicates that a fault occurred while reading the configuration file.
  * Creating framework for publishing of all current Aux msgs.
    Created parsing and publishing framework for Aux messages on the
    following systems: Accel, Brake, Headlights, Shift, Steer, Turn, and
    Wipers.
  * Adding VehSpecificRpt1. Removing SteerRpt2 and SteerRpt3.
    VehicleControlsRpt was replaced with VehicleSpecificRpt1. SteerRpt2
    and SteerRpt3 were deemed unnecessary given the addition of SteerAuxRpt.
  * Command values for SystemCmdBools were reversed.
    This commit fixes the reversal (commanded true now encodes a 1
    in the CAN message instead of a 0 and vice versa).
  * Added report messages DetectedObjectRpt, VehicleControlsRpt, and VehicleDynamicsRpt
  * This commit removes state mgmt and the global enable.
    If any system is disabled, it should either be due to a disable
    being sent from the user, an override, or a fault. This means that
    there is no need for us to maintain all systems' states in the driver.
    We can just continue to spam the most recent command and only modify
    it if we receive an override_active or fault_active flag on the global
    command. If either of those are true, we immediately disable all
    systems.
  * CAN ID reorganization.
    After talking with the team, reorganizing the CAN IDs prior to
    the use of a PACMod3 in production made sense. This includes
    consideration for priority, grouping based on function, and leaving
    space for future additions.
  * Adds clear_override flag to all PACMod 3 command messages.
    This requires approval of the maint/add_clear_override_flag branch
    on astuff_sensor_messages - hence the change to .travis.rosinstall.
    Will have to change this back to master once that branch is approved
    and this is merged into master here.
  * Adding Aux rpts for brake/accel/shift/steer. Door/Occ/IntLights/ExtLights rpts.
    Adding framework for parsing Aux reports from brake, accel, shift, and steer systems.


=== debian/control ===
Source: ros-dashing-pacmod3
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-can-msgs, ros-dashing-pacmod-msgs, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rclcpp-lifecycle, ros-dashing-std-msgs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/pacmod3
Standards-Version: 3.9.2

Package: ros-dashing-pacmod3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-can-msgs, ros-dashing-pacmod-msgs, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-rclcpp-lifecycle, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: AutonomouStuff PACMod v3 Driver Package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-pacmod3//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
